## org.apache.solr.common.params
Interface SpatialParams

    public interface SpatialParams

Field Summary
`static String` `DISTANCE`
`static String` `FIELD`
`static String` `MEASURE` The distance measure to use.
`static String` `POINT`
`static String` `SPHERE_RADIUS` The radius of the sphere to use to in calculating spherical distances like Haversine
`static String` `UNITS` km - kilometers mi - miles

Field Detail

### POINT

    static final String POINT

See Also:
  Constant Field Values

### DISTANCE

    static final String DISTANCE

See Also:
  Constant Field Values

### FIELD

    static final String FIELD

See Also:
  Constant Field Values

### UNITS

    static final String UNITS

  km - kilometers mi - miles

  See Also:
    Constant Field Values

### MEASURE

    static final String MEASURE

  The distance measure to use.

  See Also:
    Constant Field Values

### SPHERE_RADIUS

    static final String SPHERE_RADIUS

  The radius of the sphere to use to in calculating spherical distances like Haversine

  See Also:
    Constant Field Values